Skip to main content
PATCH
Update a skill

Authorizations

Authorization
string
header
required

A ManyPI API key (mpi_...) from the profile menu → API Access in the dashboard, or an OAuth 2.1 access token obtained through the MCP consent flow.

Path Parameters

id
string<uuid>
required

Body

application/json
title
string
Required string length: 1 - 80
description
string | null
Maximum string length: 280
emoji
string | null
Maximum string length: 8
system_prompt
string
Required string length: 1 - 8000

Response

The updated skill.

id
string<uuid>
slug
string
title
string
description
string | null
emoji
string | null
system_prompt
string
is_system
boolean

True for ManyPI's premade skills.

added
boolean

Whether it shows in your skill picker. Your own skills always do.

default_max_steps
integer | null
created_at
string<date-time>
updated_at
string<date-time>